
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JDBC三层架构 / 憋错料</title>

    <meta name="description" content="JDBC三层架构 三层框架: 通常意义上的三层架构就是将整个业务应用划分为:表现层(UI).业务逻辑层(BLL).数据访问层(DAL).区分层次的目的即为了“高内聚,低耦合”的思想. 原理:1:数据访问层:主要是对原始数据(数据库或者文本文件等存放数据的形式)的操作层,而不是指原始数据,也就是说,是对数据的操作,而不是数据库,具体为业务逻辑层或表示层提供数据服务．2:业务逻辑层:主要是针对具体的问题的操作,也可以理解成对数据层的操作,对数据业务逻辑处理,如果说数据层是积木,那逻辑层就是对这些积木的搭建.3:表示层">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">JDBC三层架构</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>三层框架：<br />	通常意义上的三层架构就是将整个业务应用划分为：表现层（UI）、业务逻辑层（BLL）、<br />数据访问层（DAL）。区分层次的目的即为了&ldquo;高内聚，低耦合&rdquo;的思想。</p>
<p>原理：<br />1：数据访问层：主要是对原始数据（数据库或者文本文件等存放数据的形式）的操作层，而不是指原始数据，也就是说，<br />是对数据的操作，而不是数据库，具体为业务逻辑层或表示层提供数据服务．<br />2：业务逻辑层：主要是针对具体的问题的操作，也可以理解成对数据层的操作，对数据业务逻辑处理，如果说数据层是积<br />木，那逻辑层就是对这些积木的搭建。<br />3：表示层：主要表示用户的操作终端，如果逻辑层相当强大和完善，无论表现层如何定义和更改，逻辑层都能完善地提供<br />服务。</p>
<p>具体的区分方法<br />1：数据访问层：主要看你的数据层里面有没有包含逻辑处理，实际上他的各个函数主要完成各个对数据文件的操作。而不<br />必管其他操作。<br />2：业务逻辑层：主要负责对数据层的操作。也就是说把一些数据层的操作进行组合。<br />3：表示层：主要对用户的请求接受，以及数据的返回，为客户端提供应用程序的访问。位于最外层（最上层），最接近用户。<br />用于显示数据和接收用户输入的数据，为用户提供一种交互式操作的界面。</p>
<p>优缺点<br />优点<br />1、开发人员可以只关注整个结构中的其中某一层；<br />2、可以很容易的用新的实现来替换原有层次的实现；<br />3、可以降低层与层之间的依赖；<br />4、有利于标准化；<br />5、利于各层逻辑的复用。<br />6、结构更加的明确<br />7、在后期维护的时候，极大地降低了维护成本和维护时间<br />缺点<br />1、降低了系统的性能。这是不言而喻的。如果不采用分层式结构，很多业务可以直接造访数据库，以此获取相应的数据，<br />如今却必须通过中间层来完成。<br />2、有时会导致级联的修改。这种修改尤其体现在自上而下的方向。如果在表示层中需要增加一个功能，为保证其设计符合<br />分层式结构，可能需要在相应的业务逻辑层和数据访问层中都增加相应的代码。<br />3、增加了开发成本。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 08:51:25 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>JDBC三层架构的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/x0dppn0.html" rel="bookmark">事务管理在三层架构中应用以及使用ThreadLocal再次重构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇将详细讲解如何正确地在实际开发中编写事务处理操作,以及在事务处理的过程中使用ThreadLocal的方法. 在前面两篇博客中已经详细地介绍和学习了DbUtils这个Apache的工具类,那么在本篇中将全部使用DbUtils来编写我们的代码,简化操作嘛,由于本篇主要讲解事务,因此如果不懂事务,可以先看之前的博客&lt;使用JDBC进行数据库的事务操作(1)&gt;和&lt;使用JDBC进行数据库的事务操作(2)&gt;. 在博客&lt;使用JDBC进行数据库的事务操作(2)&gt;中我们已经学习了使用J			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWyPGa3.html" rel="bookmark">从MVC和三层架构说到ssh整合开发-下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这章主要讲整合开发,直接从实战讲起,对与ssh的单方面了解,请继续等待我的兴许文章. 解说不到位的地方欢迎大家指正:联系方式rlovep.com 具体请看源码凝视: 全部代码下载(csdn):链接 Github链接:链接https://github.com/wpeace1212/javaBlog/tree/master/sshDemo 写文章不易,欢迎大家採我的文章,以及给出实用的评论.当然大家也能够关注一下我的github.多谢. 1.整合流程 针对一个简单项目.让大家对三层机构和MVC有一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ekVgg4.html" rel="bookmark">从MVC和三层架构说到SSH整合开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信很多人都认同JavaWeb开发是遵从MVC开发模式的,遵从三层架构进行开发的,是的,大家都这么认同.但是相信大家都会有过这样一个疑问,if(MVC三层模式==三层架构思想)out.println(“请继续观看……”) 1.MVC(MODEL-VIEW-CONTROLLER)设计模式: 首先让我们了解下MVC(Model-View-Controller)的概念: MVC全名是Model View Controller,是模型(model)-视图(view)-控制器(controller)的缩写			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Op6oP4.html" rel="bookmark">JavaWeb编程（五）三层架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.JNDI:java命名目录接口,通过一个名称获取到应用服务器下创建的资源. 2.tomcat中配置数据源对象以及使用JNDI获取数据源对象步骤: a).tomcat下配置数据源:tomcat目录\conf\context.xml中配置 &lt;Resource name=&quot;jdbc/mydb&quot; auth=&quot;Container&quot; type=&quot;javax.sql.DataSource&quot; maxActive=&quot;1000&quot; max			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eaA9v0.html" rel="bookmark">Java Web 三层架构详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java 三层架构ssh 一个spring2.5+hibernate3.2+struts2.0组合框架,使用spring的 IoC来管理应用的 所有bean,包括struts2的 action,充分发挥了spring轻量级框架的 优势.  摘 要: 针对当前Web应用程序开发面临的问题,结合目前比较流行的开源框架Spring.Struts和hibernate,提出了一种开发J2EE Web应用的轻量级解决方案,以帮助开发人员在短期内搭建结构清晰.可复用性好.维护方便的Web应用程序.并且,通过案			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xXxQL0.html" rel="bookmark">从MVC和三层架构说到ssh整合开发-上</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信很多人都认同JavaWeb开发是遵从MVC开发模式的,遵从三层架构进行开发的,是的,大家都这么认同.但是相信大家都会有过这样一个疑问,if(MVC三层模式==三层架构思想)out.println(&quot;请继续观看--&quot;) 1.MVC(Model-View-Controller)设计模式: 首先让我们了解下MVC(Model-View-Controller)的概念: MVC全名是Model View Controller,是模型(model)-视图(view)-控制器(controlle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ad7BvM.html" rel="bookmark">JNDI和三层架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.JNDI是什么: JNDI(Java Naming and Directory Interface)是一个有关应用程序设计的API,为开发人员提供了查找和访问各种命名目录服务的通用.统一的接口,类似JDBC都是构建在抽象层上. 2.JNDI可访问的现有的目录及服务有: DNS.文件服务 .数据库 目录服务.LDAP(Lightweight Directory Access Protocol轻型目录访问协议). CORBA对象服务.文件系统.Windows XP/2000/NT/Me/9x的注			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP9ZwP0.html" rel="bookmark">【转载】 JAVA三层架构，持久层，业务层，表现层的理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JAVA三层架构,持久层,业务层,表现层的理解 转载:http://blog.csdn.net/ljf_study/article/details/64443653 SSH: Struts(表示层)+Spring(业务层)+Hibernate(持久层) Struts: Struts是一个表示层框架,主要作用是界面展示,接收请求,分发请求. 在MVC框架中,Struts属于VC层次,负责界面表现,负责MVC关系的分发. (View:沿用JSP,HTTP,Form,Tag,Resourse : Co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mm66nV0.html" rel="bookmark">三层架构的理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				三层架构的理解 表现层: v:html/css/jsp/struts2 c:servlet/struts2action m:javabean/bean(例如:UserService) 业务层: 持久层:jdbc/dbutils/hibernate/springdao/springorm 分层架构是逻辑上的,在物理部署上,三层结构部署在同一个物理机器上,但是随着网站业务的发展,必然需要对已经分层的模块分离部署,即三层结构分别部署在不同的服务器上,使网站拥有更多的计算资源以应对越来越多的用户访问.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KZvwM.html" rel="bookmark" class="title">Linux系统管理之十四---服务</a>
					<div>
						一.inittab文件详解 (一)inittab文件详解: #   0 - halt (Do NOT set initdefault to this)        //停止.关闭linux,停止所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02APaM.html" rel="bookmark" class="title">如何使用eclipse进行嵌入式Linux的开发</a>
					<div>
						如何使用eclipse进行嵌入式Linux的开发 作者:曾宏安,华清远见嵌入式学院高级讲师. 如何使用eclipse进行嵌入式Linux的开发 习惯了在windows环境下开发的程序员在转到Linux ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pvz5P0.html" rel="bookmark" class="title">Android中的Selector的使用总结</a>
					<div>
						Android中的Selector主要是用来改变ListView和Button控件等其他空的默认背景,其使用方法可以如下所示: 1.首先在res目录下drawable文件夹,新建一个comm_butt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Ka6jL4.html" rel="bookmark" class="title">leetcode 【 Pascal&amp;&num;39&semi;s Triangle II  】python 实现</a>
					<div>
						题目: Given an index k, return the kth row of the Pascal's triangle. For example, given k = 3,Return [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRlqx0.html" rel="bookmark" class="title">三个数从小到大排序</a>
					<div>
						描述 现在要写一个程序,实现给三个数排序的功能 输入 输入三个正整数 输出 给输入的三个正整数排序 样例输入 20 7 33 样例输出 7 20 33 1 #include &lt;stdio.h&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBRzdyM.html" rel="bookmark" class="title">sqlite并不支持建表后修改主键，或删除列，如果要修改，请参考如下做法</a>
					<div>
						SQLite has limited ALTER TABLE support that you can use to add a column to the end of a table or to  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXYe94.html" rel="bookmark" class="title">oracle中的连接查询总结</a>
					<div>
						连接查询: 连接查询是指基于多张表或视图的查询.使用连接查询时,应指定有效的查询条件,不然可能会导致生成笛卡尔积.如现有部门表dept,员工表emp,以下查询因查询条件无效,而产生笛卡尔积:   (各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDyvaM.html" rel="bookmark" class="title">ibatis 自动生成map&comma;bean&comma;dao</a>
					<div>
						1.下载 AbatorForEclipse1.1.0 地址:http://download.csdn.net/detail/fym548/9426877 点击Archive按钮选择下载的,然后重启My ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xro1D4.html" rel="bookmark" class="title">DELPHI下多线程编程的几个思维误区（QDAC）</a>
					<div>
						有几个网友私下问我一些有关线程的事情.过节写个东西上来大家交流. 思维误区1,自己新建的THREAD是线程,自己的主程序不是线程. 很多人在多线程编程没有把主线程也当作线程.其实主线程也是线程.看起来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6b76ZM.html" rel="bookmark" class="title">Linux Qt安装</a>
					<div>
						1 下载QT 1)进入官网:https://www.qt.io/ 2)点击Download:https://www.qt.io/download/ 3)找到Open Source,点击Get Star ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWxQz4.html" rel="bookmark" class="title">UVA 10042 Smith Numbers（数论）</a>
					<div>
						Smith Numbers Background While skimming his phone directory in 1982, Albert Wilansky, a mathematicia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pzaeR0.html" rel="bookmark" class="title">ｐｈｐ观</a>
					<div>
						php主要用于三个领域 1.服务器端脚本 这是php最传统,最主要的目标领域.可以用来完成其他CGI程序能够完成的工作.如:收集表单数据.生成动态网页或者发送/接收Cookies. 2.命令行脚本 可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWoA13.html" rel="bookmark" class="title">HDU 4069 数独</a>
					<div>
						好久没做题了,建图搞了好久…… 然后,判是否有多解的时候会把原来的答案覆盖掉…… 这里没注意,弄了一下午…… 代码: #include &lt;iostream&gt; #include &lt;cs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QwkZ20.html" rel="bookmark" class="title">JAVASE&lowbar;day&lowbar;05</a>
					<div>
						今天继续讲的JAVA语法基础. 每天一早听老师讲昨天的作业时,感觉原来这自己大部分时间用在理解题目意思,结果还理解错了.哎,没想到自己语文那么差啊,这一个阅读理解用那么长时间,好歹以前是文科的啊,虽然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AE1Qy4.html" rel="bookmark" class="title">Openstack Basic Networking 翻译</a>
					<div>
						自己翻译,加强理解.并学习英文和写作. 英文地址:http://docs.openstack.org/networking-guide/intro_basic_networking.html 目录:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4718K90.html" rel="bookmark" class="title">&lbrack;&period;net 面向对象编程基础&rsqb; &lpar;18&rpar; 泛型</a>
					<div>
						[.net 面向对象编程基础] (18) 泛型 上一节我们说到了两种数据类型数组和集合,数组是指包含同一类型的多个元素,集合是指.net中提供数据存储和检索的专用类. 数组使用前需要先指定大小,并且检 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k92gz4.html" rel="bookmark" class="title">世界互联网大会不会说的事儿</a>
					<div>
						世界互联网大会,这个行业最最牛的盛世,齐聚了全国最牛的互联网大牛.各个大佬都在喷移动,云,大数据挖掘:但是这些东西都是大家都在做的,也是都能说的,但是互联网的未来不在这,巨头们都知道,也都在布局,这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j2jVA0.html" rel="bookmark" class="title">bzoj 2654 tree - 二分法 - 最小生成树</a>
					<div>
						给你一个无向带权连通图,每条边是黑色或白色.让你求一棵最小权的恰好有need条白色边的生成树. 题目保证有解. Input 第一行V,E,need分别表示点数,边数和需要的白色边数. 接下来E行,每行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9A8p4.html" rel="bookmark" class="title">Hdu 1998 奇数阶魔方</a>
					<div>
						奇数阶魔方 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzZBr4.html" rel="bookmark" class="title">动态生成checkboxGroup</a>
					<div>
						[方法一] for(var i=0;i&lt;obj.length;i++){ var itemsGroup = new Ext.form.CheckboxGroup({ fieldLabel:obj ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
